<template>
  <div>
    <div v-if="isHomePage">
      <HomeDomain />
    </div>
    <div v-if="!isHomePage">
      <HomeProducts />
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api } from "~/common/constaint";
@Component({
  layout: "user",
})
export default class HomePage extends Vue {
  head() {
    return {
      title:
        this.$store.state?.setting?.settingHomePage?.homepageTitle ||
        (this.$store.state.setting.siteInfo &&
          this.$store.state.setting.siteInfo.storeName +
            " - " +
            this.$store.state?.setting?.siteInfo?.productName) ||
        "",
      meta: [
        {
          property: "og:image",
          content: this.$store?.state?.sitePage?.imageOg || "",
        },
        {
          property: "og:image:width",
          content: "300",
        },
        {
          property: "og:image:height",
          content: "300",
        },
      ],
      link: [
        {
          rel: "icon",
          type: "image/webp",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }

  get isHomePage() {
    return this.$store.state.product.isHomePage || false;
  }
}
</script>
